#if !defined(__alffexception_h) // Sentry, use file only if it's not already included.
#define __alffexception_h
/*  Project ALFFLib

	 Copyright © 1998, 2003, 2005. All Rights Reserved.

	 SUBSYSTEM:    alfflib.lib Application
	 FILE:         alffx509exception.h
	 AUTHOR:       Alcindo Ferreira Filho


	 OVERVIEW
	 ========
	 Source file for definition of ALFFX509Exception classes
	 (Classes for handling ALFFX509 classes exceptions)
*/

#include "alffexception.h"

class
ALFFCertificateExpiredException: ALFFException
{
 public:
  ALFFCertificateExpiredException();
  ~ALFFCertificateExpiredException();
 char far* GetClassName() {return "ALFFCertificateExpiredException";}
};

class
ALFFCertificateNotYetValidException: ALFFException
{
 public:
  ALFFCertificateNotYetValidException();
  ~ALFFCertificateNotYetValidException();
 char far* GetClassName() {return "ALFFCertificateNotYetValidException";}
};

class
ALFFCertificateEncodingException: ALFFException
{
 public:
  ALFFCertificateEncodingException();
  ~ALFFCertificateEncodingException();
 char far* GetClassName() {return "ALFFCertificateEncodingException";}
};
#endif

